Loading...
Searching...
No Matches
pcl::traits Namespace Reference

## Namespaces

namespace | detail

## Classes

struct | asEnum
struct | asEnum< bool >
struct | asEnum< std::int8_t >
struct | asEnum< std::uint8_t >
struct | asEnum< std::int16_t >
struct | asEnum< std::uint16_t >
struct | asEnum< std::int32_t >
struct | asEnum< std::uint32_t >
struct | asEnum< std::int64_t >
struct | asEnum< std::uint64_t >
struct | asEnum< float >
struct | asEnum< double >
struct | asType
struct | asType< detail::PointFieldTypes::BOOL >
struct | asType< detail::PointFieldTypes::INT8 >
struct | asType< detail::PointFieldTypes::UINT8 >
struct | asType< detail::PointFieldTypes::INT16 >
struct | asType< detail::PointFieldTypes::UINT16 >
struct | asType< detail::PointFieldTypes::INT32 >
struct | asType< detail::PointFieldTypes::UINT32 >
struct | asType< detail::PointFieldTypes::INT64 >
struct | asType< detail::PointFieldTypes::UINT64 >
struct | asType< detail::PointFieldTypes::FLOAT32 >
struct | asType< detail::PointFieldTypes::FLOAT64 >

## Typedefs

template<int index>
using | asType_t = typename asType<index>::type

## Functions

template<typename T>
std::enable_if_t<!std::is_array< T >::value > | plus (T &l, const T &r)
template<typename T>
std::enable_if_t< std::is_array< T >::value > | plus (std::remove_const_t< T > &l, const T &r)
template<typename T1, typename T2>
std::enable_if_t<!std::is_array< T1 >::value > | plusscalar (T1 &p, const T2 &scalar)
template<typename T1, typename T2>
std::enable_if_t< std::is_array< T1 >::value > | plusscalar (T1 &p, const T2 &scalar)
template<typename T>
std::enable_if_t<!std::is_array< T >::value > | minus (T &l, const T &r)
template<typename T>
std::enable_if_t< std::is_array< T >::value > | minus (std::remove_const_t< T > &l, const T &r)
template<typename T1, typename T2>
std::enable_if_t<!std::is_array< T1 >::value > | minusscalar (T1 &p, const T2 &scalar)
template<typename T1, typename T2>
std::enable_if_t< std::is_array< T1 >::value > | minusscalar (T1 &p, const T2 &scalar)
template<typename T1, typename T2>
std::enable_if_t<!std::is_array< T1 >::value > | mulscalar (T1 &p, const T2 &scalar)
template<typename T1, typename T2>
std::enable_if_t< std::is_array< T1 >::value > | mulscalar (T1 &p, const T2 &scalar)
template<typename T1, typename T2>
std::enable_if_t<!std::is_array< T1 >::value > | divscalar (T1 &p, const T2 &scalar)
template<typename T1, typename T2>
std::enable_if_t< std::is_array< T1 >::value > | divscalar (T1 &p, const T2 &scalar)
template<typename NoArrayT, typename ScalarT>
std::enable_if_t<!std::is_array< NoArrayT >::value > | divscalar2 (NoArrayT &p, const ScalarT &scalar)
template<typename ArrayT, typename ScalarT>
std::enable_if_t< std::is_array< ArrayT >::value > | divscalar2 (ArrayT &p, const ScalarT &scalar)

## Variables

template<typename T>
static constexpr std::uint8_t | asEnum_v = asEnum<T>::value

## Typedef Documentation

## asType_t

template<int index>

using pcl::traits::asType_t = typename asType<index>::type

Definition at line 114 of file type_traits.h.

## Function Documentation

## divscalar() [1/2]

template<typename T1, typename T2>

std::enable_if_t< std::is_array< T1 >::value > pcl::traits::divscalar | ( | T1 & | p,
|  | const T2 & | scalar )

inline

Definition at line 185 of file register_point_struct.h.

## divscalar() [2/2]

template<typename T1, typename T2>

std::enable_if_t<!std::is_array< T1 >::value > pcl::traits::divscalar | ( | T1 & | p,
|  | const T2 & | scalar )

inline

Definition at line 178 of file register_point_struct.h.

## divscalar2() [1/2]

template<typename ArrayT, typename ScalarT>

std::enable_if_t< std::is_array< ArrayT >::value > pcl::traits::divscalar2 | ( | ArrayT & | p,
|  | const ScalarT & | scalar )

inline

Definition at line 202 of file register_point_struct.h.

## divscalar2() [2/2]

template<typename NoArrayT, typename ScalarT>

std::enable_if_t<!std::is_array< NoArrayT >::value > pcl::traits::divscalar2 | ( | NoArrayT & | p,
|  | const ScalarT & | scalar )

inline

Definition at line 195 of file register_point_struct.h.

## minus() [1/2]

template<typename T>

std::enable_if_t< std::is_array< T >::value > pcl::traits::minus | ( | std::remove_const_t< T > & | l,
|  | const T & | r )

inline

Definition at line 134 of file register_point_struct.h.

## minus() [2/2]

template<typename T>

std::enable_if_t<!std::is_array< T >::value > pcl::traits::minus | ( | T & | l,
|  | const T & | r )

inline

Definition at line 127 of file register_point_struct.h.

## minusscalar() [1/2]

template<typename T1, typename T2>

std::enable_if_t< std::is_array< T1 >::value > pcl::traits::minusscalar | ( | T1 & | p,
|  | const T2 & | scalar )

inline

Definition at line 151 of file register_point_struct.h.

## minusscalar() [2/2]

template<typename T1, typename T2>

std::enable_if_t<!std::is_array< T1 >::value > pcl::traits::minusscalar | ( | T1 & | p,
|  | const T2 & | scalar )

inline

Definition at line 144 of file register_point_struct.h.

## mulscalar() [1/2]

template<typename T1, typename T2>

std::enable_if_t< std::is_array< T1 >::value > pcl::traits::mulscalar | ( | T1 & | p,
|  | const T2 & | scalar )

inline

Definition at line 168 of file register_point_struct.h.

## mulscalar() [2/2]

template<typename T1, typename T2>

std::enable_if_t<!std::is_array< T1 >::value > pcl::traits::mulscalar | ( | T1 & | p,
|  | const T2 & | scalar )

inline

Definition at line 161 of file register_point_struct.h.

## plus() [1/2]

template<typename T>

std::enable_if_t< std::is_array< T >::value > pcl::traits::plus | ( | std::remove_const_t< T > & | l,
|  | const T & | r )

inline

Definition at line 100 of file register_point_struct.h.

## plus() [2/2]

template<typename T>

std::enable_if_t<!std::is_array< T >::value > pcl::traits::plus | ( | T & | l,
|  | const T & | r )

inline

Definition at line 93 of file register_point_struct.h.

## plusscalar() [1/2]

template<typename T1, typename T2>

std::enable_if_t< std::is_array< T1 >::value > pcl::traits::plusscalar | ( | T1 & | p,
|  | const T2 & | scalar )

inline

Definition at line 117 of file register_point_struct.h.

## plusscalar() [2/2]

template<typename T1, typename T2>

std::enable_if_t<!std::is_array< T1 >::value > pcl::traits::plusscalar | ( | T1 & | p,
|  | const T2 & | scalar )

inline

Definition at line 110 of file register_point_struct.h.

## Variable Documentation

## asEnum_v

template<typename T>

std::uint8_t pcl::traits::asEnum_v = asEnum<T>::value

static constexpr

Definition at line 97 of file type_traits.h.